Skip to main content
Server path: /rocketlane-collaboration | Type: Application | PCID required: Yes

Tools

ToolDescription
rocketlane_collaboration_add_field_optionAdd field Option
rocketlane_collaboration_add_members_to_conversationAdd members to the conversation
rocketlane_collaboration_create_commentCreate a comment
rocketlane_collaboration_create_conversationCreates conversation
rocketlane_collaboration_create_fieldCreate a Field
rocketlane_collaboration_delete_commentDelete comment
rocketlane_collaboration_delete_conversationDelete conversation
rocketlane_collaboration_delete_fieldDelete field by Id
rocketlane_collaboration_get_all_conversationsGet all conversations
rocketlane_collaboration_get_all_fieldsGet all fields
rocketlane_collaboration_get_all_usersGet all users
rocketlane_collaboration_get_commentGet comment
rocketlane_collaboration_get_commentsGet all comments
rocketlane_collaboration_get_conversationGet conversation
rocketlane_collaboration_get_fieldGet field by Id
rocketlane_collaboration_get_invoiceGet invoice by Id
rocketlane_collaboration_get_invoice_line_itemsGet invoice line items by invoice Id
rocketlane_collaboration_get_invoice_paymentsGet invoice payments by invoice Id
rocketlane_collaboration_get_userGet user by Id
rocketlane_collaboration_remove_members_from_conversationRemove members to the conversation
rocketlane_collaboration_search_invoicesGet all invoices
rocketlane_collaboration_update_commentUpdate comment
rocketlane_collaboration_update_conversationUpdate conversation
rocketlane_collaboration_update_fieldUpdate field by Id
rocketlane_collaboration_update_field_optionUpdate field Option

rocketlane_collaboration_add_field_option

Add field Option Parameters:
ParameterTypeRequiredDefaultDescription
fieldIdintegerYesThe field’s unique, system-generated identifier, which can be used to identify the field globally.
optionColorstringYesThe optionColor reflects the color of the options for the single or multiple choice field.
optionLabelstringYesThe optionLabel reflects the name of the options for the single or multiple choice field.

rocketlane_collaboration_add_members_to_conversation

Add members to the conversation Parameters:
ParameterTypeRequiredDefaultDescription
conversationIdintegerYesThe ID of the conversation object
includeFieldsstring[]NoUse this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
bodyobject[]YesRequest body

rocketlane_collaboration_create_comment

Create a comment Parameters:
ParameterTypeRequiredDefaultDescription
includeFieldsstringNoInclude Fields
attachmentsobject[]NoList of attachments associated with the comment
contentstringYesContent of the comment
privatebooleanNoThe private value
sourceobjectYesSource associated with the comment

rocketlane_collaboration_create_conversation

Creates conversation Parameters:
ParameterTypeRequiredDefaultDescription
includeFieldsstring[]NoUse this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
allMembersbooleanNoConversation all members inclusion
descriptionstringNoConversation description
membersobject[]NoConversation members
namestringYesConversation name
privatebooleanNoConversation privacy
sourceobjectYesSource associated with the conversation

rocketlane_collaboration_create_field

Create a Field Parameters:
ParameterTypeRequiredDefaultDescription
includeFieldsstring[]NoThis query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.
enabledbooleanNoThis depicts if the field is enabled or not. Only those fields which are enabled will reflect in the account.
fieldDescriptionstringNoThe description of the field.
fieldIdintegerNoThe field’s unique, system-generated identifier, which can be used to identify the field globally.
fieldLabelstringYesThe fieldLabel is the name of the field.
fieldOptionsobject[]NoThe fieldOptions params define the value and label for the different options available for SINGLE_CHOICE and MULTIPLE_CHOICE fields.
fieldTypestringYesThis defines type of the field. Refer Custom Fields for further information
objectTypestringYesThis defines type of object that is associated with the field. This could be TASK, PROJECT or USER.
privatebooleanNoThis depicts if the field is private or not.
ratingScalestringNoThe number of stars in the Rating Scale when Field Type is RATING.

rocketlane_collaboration_delete_comment

Delete comment Parameters:
ParameterTypeRequiredDefaultDescription
commentIdintegerYesThe ID of the message object

rocketlane_collaboration_delete_conversation

Delete conversation Parameters:
ParameterTypeRequiredDefaultDescription
conversationIdintegerYesThe ID of the conversation object

rocketlane_collaboration_delete_field

Delete field by Id Parameters:
ParameterTypeRequiredDefaultDescription
fieldIdintegerYesThe field’s unique, system-generated identifier, which can be used to identify the field globally.

rocketlane_collaboration_get_all_conversations

Get all conversations Parameters:
ParameterTypeRequiredDefaultDescription
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeFieldsstring[]NoUse this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
sourceId.eqnumberNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
conversationName.eqstringNoFilter by conversation name
conversationName.cnstringNoYou can use this param to specify some Conversation name and the responses will contain matches of conversation that match the given name.
conversationName.ncstringNoYou can use this param to specify some Conversation name and the responses will not contain matches of conversation that match the given name.
isPrivate.eqbooleanNoFilter by private conversations

rocketlane_collaboration_get_all_fields

Get all fields Parameters:
ParameterTypeRequiredDefaultDescription
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeFieldsstring[]NoThis query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.
sortBystringNoYou can use the sortBy param to sort the responses by the given field.
sortOrderstringNoThe sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.
matchstringNoYou can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.
createdAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than the given fields created date.
createdAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of fields that match the given fields created date.
createdAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain fields whose date are less than the given fields created date.
createdAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than or equal to the given fields created date.
createdAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain fields whose date are less than or equal to the given fields created date.
updatedAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than the given fields updated date.
updatedAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of fields that match the given fields updated date.
updatedAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain fields whose date are less than the given fields updated date.
updatedAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than or equal to the given fields updated date.
updatedAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain fields whose date are less than or equal to the given fields updated date.
objectType.eqstringNoYou can use this param to specify a object type for the fields and the responses will contain exact matches of fields that have the given object type.
fieldType.eqstringNoYou can use this param to specify a field type for the fields and the responses will contain exact matches of fields that have the given field type.
enabled.eqbooleanNoYou can use this parameter to specify whether responses will contains the enabled or disabled fields.
private.eqbooleanNoYou can use this parameter to specify whether responses will contains the private or shared fields.

rocketlane_collaboration_get_all_users

Get all users Parameters:
ParameterTypeRequiredDefaultDescription
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
sortBystringNoYou can use the sortBy param to sort the responses by the given field.
sortOrderstringNoThe sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.
matchstringNoYou can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.
firstName.eqstringNoYou can use this param to specify some user first name and the responses will contain exact matches of users that match the given first name.
firstName.cnstringNoYou can use this param to specify some user first name and the responses will contain matches of users that match the given first name.
firstName.ncstringNoYou can use this param to specify some user first name and the responses will not contain matches of users that match the given first name.
lastName.eqstringNoYou can use this param to specify some user last name and the responses will contain exact matches of users that match the given last ame.
lastName.cnstringNoYou can use this param to specify some user last name and the responses will contain matches of users that match the given last name.
lastName.ncstringNoYou can use this param to specify some user last name and the responses will not contain matches of users that match the given last name.
email.eqstringNoYou can use this param to specify some user email id and the responses will contain exact matches of users that match the given email id.
email.cnstringNoYou can use this param to specify some user email id and the responses will contain matches of users that match the given email id.
email.ncstringNoYou can use this param to specify some user email id and the responses will not contain matches of users that match the given email id.
status.eqstring[]NoYou can use this param to provide a user status and the responses will contain exact matches of users that match the given status.
status.oneOfstring[]NoYou can use this param to provide user statuses separated by commas and the responses will contain matches of users that match one of the given user status.
status.noneOfstring[]NoYou can use this param to provide user statuses separated by commas and the responses will contain matches of users that match the none of the given set of user statuses.
type.eqstring[]NoYou can use this param to provide a user type and the responses will contain exact matches of users that match the given type.
type.oneOfstring[]NoYou can use this param to provide user types separated by commas and the responses will contain matches of users that match the none of the given set of user types.
roleId.eqstringNoYou can use this param to provide a role id and the responses will contain exact matches of users that match the given role id.
roleId.oneOfstringNoYou can use this param to provide role ids separated by commas and the responses will contain matches of users that match one of the given role id.
roleId.noneOfstringNoYou can use this param to provide role id separated by commas and the responses will contain matches of users that match the none of the given set of role id.
permissionId.eqstringNoYou can use this param to provide a permission id and the responses will contain exact matches of users that match the given permission id.
permissionId.oneOfstringNoYou can use this param to provide permission ids separated by commas and the responses will contain matches of users that match one of the given set of permission id.
permissionId.noneOfstringNoYou can use this param to provide permission ids separated by commas and the responses will contain matches of users that match the none of the given set of permission id.
capacityInMinutes.eqnumberNoYou can use this param to specify some value as capacity and the responses will contain exact matches of users that match the given value.
capacityInMinutes.gtnumberNoYou can use this param to specify some value as capacity and the responses will contain exact matches of capacity greater than that of the given value.
capacityInMinutes.genumberNoYou can use this param to specify some value as capacity and the responses will contain exact matches of capacity greater than or equal to that of the given value.
capacityInMinutes.ltnumberNoYou can use this param to specify some value as capacity and the responses will contain exact matches of capacity lesser than that of the given value.
capacityInMinutes.lenumberNoYou can use this param to specify some value as capacity and the responses will contain exact matches of capacity lesser than or equal to that of the given value.
createdAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain users whose date are greater than the given users created date.
createdAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of users that match the given users created date.
createdAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain users whose date are less than the given users created date.
createdAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain users whose date are greater than or equal to the given users created date.
createdAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain users whose date are less than or equal to the given users created date.
updatedAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain users whose date are greater than the given users updated date.
updatedAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of users that match the given users updated date.
updatedAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain users whose date are less than the given users updated date.
updatedAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain users whose date are greater than or equal to the given users updated date.
updatedAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain users whose date are less than or equal to the given users updated date.

rocketlane_collaboration_get_comment

Get comment Parameters:
ParameterTypeRequiredDefaultDescription
commentIdintegerYesThe ID of the comment object
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

rocketlane_collaboration_get_comments

Get all comments Parameters:
ParameterTypeRequiredDefaultDescription
sourceTypestringNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
sortOrderstringNoThe sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.
matchstringNoYou can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.
createdBy.eqnumberNoYou can use this param to specify the team member who created the comment in the conversation, and the responses will contain comment conversations that match the creator.
createdAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is greater than the given date.
createdAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain comment conversations that match the exact created date of the comment.
createdAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is less than the given date.
createdAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is greater than or equal to the given date.
createdAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is less than or equal to the given date.
includeFieldsstring[]NoUse this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.
isPrivate.eqbooleanNoFilter by private conversations

rocketlane_collaboration_get_conversation

Get conversation Parameters:
ParameterTypeRequiredDefaultDescription
conversationIdintegerYesThe ID of the conversation object
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

rocketlane_collaboration_get_field

Get field by Id Parameters:
ParameterTypeRequiredDefaultDescription
fieldIdintegerYesThe field’s unique, system-generated identifier, which can be used to identify the field globally.
includeFieldsstring[]NoThis query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.

rocketlane_collaboration_get_invoice

Get invoice by Id Parameters:
ParameterTypeRequiredDefaultDescription
invoiceIdintegerYesUnique identifier of the invoice
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

rocketlane_collaboration_get_invoice_line_items

Get invoice line items by invoice Id Parameters:
ParameterTypeRequiredDefaultDescription
invoiceIdintegerYesUnique identifier of the invoice
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

rocketlane_collaboration_get_invoice_payments

Get invoice payments by invoice Id Parameters:
ParameterTypeRequiredDefaultDescription
invoiceIdintegerYesUnique identifier of the invoice
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

rocketlane_collaboration_get_user

Get user by Id Parameters:
ParameterTypeRequiredDefaultDescription
userIdintegerYesThe user’s unique, system-generated identifier, which can be used to identify the user globally.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

rocketlane_collaboration_remove_members_from_conversation

Remove members to the conversation Parameters:
ParameterTypeRequiredDefaultDescription
conversationIdintegerYesThe ID of the conversation object
bodyobject[]YesRequest body

rocketlane_collaboration_search_invoices

Get all invoices Parameters:
ParameterTypeRequiredDefaultDescription
dateOfIssue.eqstringNoFilter by date of issue (equals).
dateOfIssue.gtstringNoFilter by date of issue greater than.
dateOfIssue.gestringNoFilter by date of issue greater than or equal.
dateOfIssue.ltstringNoFilter by date of issue less than.
dateOfIssue.lestringNoFilter by date of issue less than or equal.
dueDate.eqstringNoFilter by due date (equals).
dueDate.gtstringNoFilter by due date greater than.
dueDate.gestringNoFilter by due date greater than or equal.
dueDate.ltstringNoFilter by due date less than.
dueDate.lestringNoFilter by due date less than or equal.
amount.eqnumberNoFilter by amount (equals).
amount.gtnumberNoFilter by amount greater than.
amount.genumberNoFilter by amount greater than or equal.
amount.ltnumberNoFilter by amount less than.
amount.lenumberNoFilter by amount less than or equal.
amountOutstanding.eqnumberNoFilter by amount outstanding (equals).
amountOutstanding.gtnumberNoFilter by amount outstanding greater than.
amountOutstanding.genumberNoFilter by amount outstanding greater than or equal.
amountOutstanding.ltnumberNoFilter by amount outstanding less than.
amountOutstanding.lenumberNoFilter by amount outstanding less than or equal.
amountPaid.eqnumberNoFilter by amount paid (equals).
amountPaid.gtnumberNoFilter by amount paid greater than.
amountPaid.genumberNoFilter by amount paid greater than or equal.
amountPaid.ltnumberNoFilter by amount paid less than.
amountPaid.lenumberNoFilter by amount paid less than or equal.
amountWrittenOff.eqnumberNoFilter by amount written off (equals).
amountWrittenOff.gtnumberNoFilter by amount written off greater than.
amountWrittenOff.genumberNoFilter by amount written off greater than or equal.
amountWrittenOff.ltnumberNoFilter by amount written off less than.
amountWrittenOff.lenumberNoFilter by amount written off less than or equal.
createdAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain invoices whose date are greater than the given invoice created date.
createdAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of invoices that match the given invoice created date.
createdAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain invoices whose date are less than the given invoice created date.
createdAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain invoices whose date are greater than or equal to the given invoice created date.
createdAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain invoices whose date are less than or equal to the given invoice created date.
companyId.eqstringNoYou can use this param to provide a customer company id and the responses will contain exact matches of invoices that match the given customer company id.
companyId.oneOfstringNoYou can use this param to provide customer company ids separated by commas and the responses will contain matches of invoices that match any of the given customer company id.
companyId.noneOfstringNoYou can use this param to provide customer company id separated by commas and the responses will not contain matches of invoices that match the given set of customer company id.
invoiceNumber.eqstringNoFilter by invoice number (equals).
invoiceNumber.cnstringNoYou can use this param to specify some text and the responses will contain invoices that contain the given text in their invoice number
invoiceNumber.ncstringNoYou can use this param to specify some text and the responses will contain invoices that DO NOT contain the given text in their invoice number
status.eqstringNoYou can use this param to provide status and the responses will contain invoices that are equal to the given status
status.oneOfstringNoYou can use this param to provide statuses and the responses will contain invoices that match one of the given statuses
status.noneOfstringNoYou can use this param to provide statuses and the responses will contain invoices that matches none of the given statuses
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
sortBystringNoYou can use the sortBy param to sort the responses by the given field.
sortOrderstringNoThe sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.
matchstringNoYou can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.

rocketlane_collaboration_update_comment

Update comment Parameters:
ParameterTypeRequiredDefaultDescription
commentIdintegerYesThe ID of the comment object
includeFieldsstringNoInclude Fields
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
contentstringNoUpdated comment content
privatebooleanNoThe private value

rocketlane_collaboration_update_conversation

Update conversation Parameters:
ParameterTypeRequiredDefaultDescription
conversationIdintegerYesThe ID of the conversation object
includeFieldsstring[]NoUse this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
allMembersbooleanNoConversation all members inclusion
descriptionstringNoConversation description
namestringNoConversation name

rocketlane_collaboration_update_field

Update field by Id Parameters:
ParameterTypeRequiredDefaultDescription
fieldIdintegerYesThe field’s unique, system-generated identifier, which can be used to identify the field globally.
includeFieldsstring[]NoThis query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.
enabledbooleanNoThis depicts if the field is enabled or not. Only those fields which are enabled will reflect in the account.
fieldDescriptionstringNoThe description of the field.
fieldLabelstringNoThe fieldLabel is the name of the field.
privatebooleanNoThis depicts if the field is private or not.

rocketlane_collaboration_update_field_option

Update field Option Parameters:
ParameterTypeRequiredDefaultDescription
fieldIdintegerYesThe field’s unique, system-generated identifier, which can be used to identify the field globally.
optionColorstringNoThe optionColor reflects the color of the options for the single or multiple choice field.
optionLabelstringNoThe optionLabel reflects the name of the options for the single or multiple choice field.
optionValueintegerYesThe optionValue is the unique identifier and is unique for each field.